Index: murachi/src/main/java/ve/gob/cenditel/murachi/MurachiRESTWS.java
===================================================================
--- murachi/src/main/java/ve/gob/cenditel/murachi/MurachiRESTWS.java	(revision 0beb3539c7081642134bc0691086b395caaaa866)
+++ murachi/src/main/java/ve/gob/cenditel/murachi/MurachiRESTWS.java	(revision d732178d7383cf3359efb6f9003986db1a8054f6)
@@ -2694,11 +2694,42 @@
 	            InputStream is = field.getEntityAs(InputStream.class);
 	            
+	            if (is == null) 
+	            {
+	            	logger.debug("is: null");
+	            	result = "\"error\":\"archivo pasado al recurso es nulo.\"";
+	    			return Response.status(500).entity(result).build();
+	            }	           
+	            
 	            FormDataContentDisposition file = field.getFormDataContentDisposition();	            
 	            String fileName = file.getFileName();
-	            String mimeType = field.getMediaType().toString();
 	            logger.debug("fileName: " + fileName);	            
-	            logger.debug("mime: " + mimeType);
-
-	            addFileToBDOCContainer(is, fileName, mimeType, c);
+	            
+	            if (fileName == null)
+	            {
+	            	logger.debug("fileName: null");
+	            	result = "\"error\":\"nombre del archivo pasado al recurso es nulo. Debe especificar un nombre de archivo.\"";
+	    			return Response.status(500).entity(result).build();
+	            }	            
+	            
+	            String mimeType = field.getMediaType().toString();	            	            
+	            logger.debug("mimeType: " + mimeType);
+	            
+	            if (mimeType == null)
+	            {
+	            	logger.debug("mimeType: null");
+	            	result = "\"error\":\"tipo mime del archivo pasado al recurso es nulo.\"";
+	    			return Response.status(500).entity(result).build();
+	            }
+	            	            	            
+	            try
+	            {
+	            	addFileToBDOCContainer(is, fileName, mimeType, c);
+	            }
+	            catch(Exception e) 
+	            {
+	            	logger.debug("excepcion: " + e.getMessage());	            	
+	    			result = "\"error\":\"no se pudo insertar el archivo al contenedor.\"";
+	    			return Response.status(500).entity(result).build();
+	            }	            
 	            	           
 	        }
@@ -2816,4 +2847,5 @@
 		        for (FormDataBodyPart field : fields)
 		        {
+		        	/*
 		            InputStream is = field.getEntityAs(InputStream.class);
 		            
@@ -2824,5 +2856,47 @@
 		            System.out.println("mime " + mimeType);
 
-		            addFileToBDOCContainer(is, fileName, mimeType, c);	            	           
+		            addFileToBDOCContainer(is, fileName, mimeType, c);
+		            */	 
+		            
+		            InputStream is = field.getEntityAs(InputStream.class);
+		            
+		            if (is == null) 
+		            {
+		            	logger.debug("is: null");
+		            	result = "\"error\":\"archivo pasado al recurso es nulo.\"";
+		    			return Response.status(500).entity(result).build();
+		            }	           
+		            
+		            FormDataContentDisposition file = field.getFormDataContentDisposition();	            
+		            String fileName = file.getFileName();
+		            logger.debug("fileName: " + fileName);	            
+		            
+		            if (fileName == null)
+		            {
+		            	logger.debug("fileName: null");
+		            	result = "\"error\":\"nombre de archivo pasado al recurso es nulo. Debe especificar un nombre de archivo.\"";
+		    			return Response.status(500).entity(result).build();
+		            }	            
+		            
+		            String mimeType = field.getMediaType().toString();	            	            
+		            logger.debug("mimeType: " + mimeType);
+		            
+		            if (mimeType == null)
+		            {
+		            	logger.debug("mimeType: null");
+		            	result = "\"error\":\"tipo mime del archivo pasado al recurso es nulo.\"";
+		    			return Response.status(500).entity(result).build();
+		            }
+		            	            	            
+		            try
+		            {
+		            	addFileToBDOCContainer(is, fileName, mimeType, c);
+		            }
+		            catch(Exception e) 
+		            {
+		            	logger.debug("excepcion: " + e.getMessage());	            	
+		    			result = "\"error\":\"no se pudo insertar el archivo al contenedor.\"";
+		    			return Response.status(500).entity(result).build();
+		            }
 		        }
 		    }
